Skip to main content
POST
Kontoautorisierung erteilen

Autorisierungen

Authorization
string
header
erforderlich

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Pfadparameter

account_id
string<uuid>
erforderlich

Body

application/json

Schema für granting ein new capability-based authorization.

grant_kind
enum<string>
erforderlich

Gewährung kind

Verfügbare Optionen:
capability,
account_owner,
super_admin
subject_id
string
erforderlich

Benutzer- oder Gruppenkennung

Minimum string length: 1
subject_type
enum<string>
erforderlich

Betrefftyp: Benutzer oder Gruppe

Verfügbare Optionen:
user,
group,
service_account
capability_key
string | null

Fähigkeit key for capability grants

resource_id
string<uuid> | null

Bereichsbezogener Ressourcenbezeichner

resource_type
enum<string> | null

Bereichsbezogener Ressourcentyp

Verfügbare Optionen:
client,
account,
workspace,
domain,
dns_record,
mailbox,
redirect,
forwarding,
credential,
tenant,
route,
proxy

Antwort

grant_kind
string
erforderlich
id
string<uuid>
erforderlich
subject_id
string
erforderlich
subject_type
string
erforderlich
capability_key
string | null
created_at
string<date-time> | null
resource_id
string<uuid> | null
resource_type
string | null
revoked_at
string<date-time> | null